Subject: Re: [PATCH] netfilter: Allow xt_nat.c and x_tables.c to compiled in

From: Cong Wang <[email-masked]>
Date: Fri, 14 Sep 2012 03:33:50 +0000 (UTC)

On Fri, 14 Sep 2012 at 02:32 GMT, Eric W. Biederman <[email-masked]> wrote:
>
> xt_init in x_tables.c must be called before xt_nat_init in xt_nat.c
> Reorder the makefile so that x_tables.o comes before xt_nat.o in
> netfilter.o.
>
> This allows me to built a kernel with both of these modules compiled in.
>

There is a patch to fix the same issue:
http://1984.lsi.us.es/git/nf-next/commit/?id=00545bec9412d130c77f72a08d6c8b6ad21d4a1